/*
 * Copyright (C) BABEC. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
package blockcontract

import (
	"fmt"
	"testing"

	"chainmaker.org/chainmaker/logger/v2"
	"github.com/stretchr/testify/require"
)

func Test_handleError(t *testing.T) {
	br := BlockRuntime{
		log: logger.GetLogger("blockContractTest"),
	}
	err := br.handleError(BlockHeight(0), fmt.Errorf("not found"), "chain1")
	require.NotNil(t, err)
	err = br.handleError(BlockHeight(0), nil, "chain1")
	require.Nil(t, err)
}
